ARTSCLASSLIB = ../../classes/lib/libArts.la
ARTSCLASSINC = -I../../classes/include
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: artsnexthops

clean:
	rm -f *.o *.lo artsnexthops
	rm -Rf .libs

strip:: artsnexthops
	@-if [ -f .libs/artsnexthops ]; then \
	  strip .libs/artsnexthops ; \
	else \
	  strip artsnexthops ; \
	fi

artsnexthops: artsnexthops.o ${ARTSCLASSLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} artsnexthops.o ${ARTSCLASSLIB} \
	 @LIBS@ -o artsnexthops

artsnexthops.o: artsnexthops.cc ../../classes/include/*.hh
	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsnexthops.cc

install:: strip
	${LIBTOOL} ../../install-sh -c -m 555 artsnexthops @bindir@/artsnexthops
	../../install-sh -c -m 444 artsnexthops.man @mandir@/manl/artsnexthops.l

tarball::
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsnexthops
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/artsnexthops.l


